Bug 8728 - t/db_dependent/Reserve.t test doesn't use resdate and expdate arguments for AddReserve
Summary: t/db_dependent/Reserve.t test doesn't use resdate and expdate arguments for A...
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Test Suite (show other bugs)
Version: 3.10
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Galen Charlton
QA Contact:
URL:
Keywords:
Depends on:
Blocks: 5327
  Show dependency treegraph
 
Reported: 2012-09-05 16:31 UTC by wajasu
Modified: 2013-05-23 06:24 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
adjust-Reserves.t-test-for-resdate-and-expdate-and-t.patch (3.41 KB, patch)
2012-09-05 16:48 UTC, wajasu
Details | Diff | Splinter Review
Bug 8728 : Adjust Reserves.t test for resdate and expdate and test setup/teardown (3.54 KB, patch)
2012-09-06 23:00 UTC, Chris Cormack
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description wajasu 2012-09-05 16:31:30 UTC
The AddReserve routine had resdate and expdate added in between arguments (not appended) in 2009/2010ish and 
 http://git.koha-community.org/gitweb/?p=koha.git;a=blob;f=C4/Reserves.pm;hb=b7e35a37256054c2a1d07a4fcd965283aa91968e

so we need to adjust the t/db_dependent/Reserve.t accordingly.
Comment 1 wajasu 2012-09-05 16:48:46 UTC Comment hidden (obsolete)
Comment 2 Chris Cormack 2012-09-06 23:00:22 UTC
Created attachment 12031 [details] [review]
Bug 8728 : Adjust Reserves.t test for resdate and expdate and test setup/teardown

Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>

Works better now, creats biblio records, and cleans up after itself as
well.
Comment 3 Paul Poulain 2012-10-02 16:14:46 UTC
QA comment:
 * 0 side-effect risk (unit test only)
 * koha-qa.pl irrelevent
 * looking at the code, nothing to say

I can't test it on my sandbox because it's MAR21 and my demo is UNIMARC. Thus creating the test record badly fail:
substr outside of string at /usr/share/perl5/MARC/File/XML.pm line 498.
Use of uninitialized value $enc in string eq at /usr/share/perl5/MARC/File/XML.pm line 500.
Use of uninitialized value $enc in string eq at /usr/share/perl5/MARC/File/XML.pm line 500.
Use of uninitialized value $enc in string eq at /usr/share/perl5/MARC/File/XML.pm line 502.
Use of uninitialized value $enc in concatenation (.) or string at /usr/share/perl5/MARC/File/XML.pm line 505.
Unsupported UNIMARC character encoding [] for XML output for UNIMARC; 100$a -> Moffat, Steven at /usr/share/perl5/MARC/File/XML.pm line 505.

Passed QA
Comment 4 Paul Poulain 2012-10-02 16:15:00 UTC
Patch pushed to master